Bug 52717 - Update port: misc/gretl to 1.0.9
Summary: Update port: misc/gretl to 1.0.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-05-27 13:10 UTC by tkato
Modified: 2003-07-07 08:18 UTC (History)
0 users

See Also:


Attachments
file.diff (7.01 KB, patch)
2003-05-27 13:10 UTC, tkato
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato 2003-05-27 13:10:13 UTC
- Update to version 1.0.9
Comment 1 tkato 2003-06-21 13:37:51 UTC
Here is an up-to-date patch:

diff -urN /usr/ports/misc/gretl/Makefile misc/gretl/Makefile
--- /usr/ports/misc/gretl/Makefile	Mon May 12 17:14:27 2003
+++ misc/gretl/Makefile	Thu Jun 19 14:26:16 2003
@@ -7,7 +7,7 @@
 #
 
 PORTNAME=	gretl
-PORTVERSION=	1.0.8
+PORTVERSION=	1.0.9
 CATEGORIES=	misc
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	${PORTNAME}
@@ -16,17 +16,15 @@
 COMMENT=	Gnu Regression, Econometrics and Time-series Library
 
 BUILD_DEPENDS=	gnuplot:${PORTSDIR}/math/gnuplot
-LIB_DEPENDS=	lapack.3:${PORTSDIR}/math/lapack \
-		gmp.6:${PORTSDIR}/math/libgmp4
+LIB_DEPENDS=	gmp.6:${PORTSDIR}/math/libgmp4
 RUN_DEPENDS=	gnuplot:${PORTSDIR}/math/gnuplot
 
 USE_BZIP2=	yes
 USE_X_PREFIX=	yes
 USE_GMAKE=	yes
 WANT_GNOME=	yes
-USE_GNOME=	gtk20 libxml2
+USE_GNOME=	gnometarget gtk20 libxml2
 USE_AUTOCONF_VER=	253
-CONFIGURE_TARGET=	--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
 CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
 		LDFLAGS="-L${LOCALBASE}/lib"
 CONFIGURE_ARGS=	--enable-static --enable-shared --with-gmake
@@ -43,6 +41,12 @@
 .else
 CONFIGURE_ARGS+=	--without-gnome
 PLIST_SUB+=	GRETLDATADIR="share"
+.endif
+
+.if defined(WITH_LAPACK)
+LIB_DEPENDS+=	lapack.3:${PORTSDIR}/math/lapack
+.else
+CONFIGURE_ARGS+=	--with-lapack=no
 .endif
 
 .include <bsd.port.post.mk>
diff -urN /usr/ports/misc/gretl/distinfo misc/gretl/distinfo
--- /usr/ports/misc/gretl/distinfo	Mon May 12 17:14:27 2003
+++ misc/gretl/distinfo	Tue May 27 09:25:29 2003
@@ -1 +1 @@
-MD5 (gretl-1.0.8.tar.bz2) = de3023ee1c2e0f2e769c63ad7c0f99da
+MD5 (gretl-1.0.9.tar.bz2) = 4c723cb1e275e7ba31d8b7371bbc5133
diff -urN /usr/ports/misc/gretl/files/patch-configure.in misc/gretl/files/patch-configure.in
--- /usr/ports/misc/gretl/files/patch-configure.in	Sat Apr 26 09:30:43 2003
+++ misc/gretl/files/patch-configure.in	Fri May 23 12:31:20 2003
@@ -1,6 +1,34 @@
---- configure.in.orig	Wed Apr  9 01:11:09 2003
-+++ configure.in	Mon Apr 14 15:16:28 2003
-@@ -417,7 +417,7 @@
+--- configure.in.orig	Fri May  2 00:17:37 2003
++++ configure.in	Fri May 23 12:31:12 2003
+@@ -169,6 +169,16 @@
+ fi,
+ try_gmp=yes)
+ 
++AC_ARG_WITH(lapack,
++[  --with-lapack Use LAPACK library [default=auto]],
++if test "x${withval}" = "xno"
++then
++  try_lapack=no
++else
++  try_lapack=yes
++fi,
++try_lapack=yes)
++
+ AC_ARG_WITH(x-12-arima,
+ [  --with-x-12-arima     include X-12-ARIMA support [default=yes]],
+ if test "${withval}" = "no"
+@@ -277,7 +287,9 @@
+   *darwin*) LAPACK_LIBS="-Wl,-framework -Wl,vecLib"
+   ;; 
+ esac
+-AM_PATH_LAPACK(, have_lapack="yes")
++if test x"${try_lapack}" != xno ; then
++  AM_PATH_LAPACK(, have_lapack="yes")
++fi
+ 
+ dnl
+ dnl Check for gnuplot, and its PNG capacity
+@@ -392,7 +404,7 @@
  dnl Check for libpng
  dnl
  if test ${png_comments} = yes && test ${have_gtk} = "2.0" ; then
@@ -9,3 +37,16 @@
          png_failed="no",
  	png_failed="yes"
     )
+@@ -557,12 +569,6 @@
+ echo "
+ Please install libxml and then reconfigure gretl.
+ libxml is available from http://xmlsoft.org/
+-"
+-
+-elif test "${have_lapack}" = "no" ; then
+-echo "
+-Please install lapack and then reconfigure gretl.
+-Lapack is available from http://www.netlib.org/lapack/
+ "
+ 
+ else
diff -urN /usr/ports/misc/gretl/files/patch-lib::Makefile.in misc/gretl/files/patch-lib::Makefile.in
--- /usr/ports/misc/gretl/files/patch-lib::Makefile.in	Mon May 12 17:14:28 2003
+++ misc/gretl/files/patch-lib::Makefile.in	Tue May 27 09:33:22 2003
@@ -1,7 +1,7 @@
---- lib/Makefile.in.orig	Mon Apr 21 23:24:57 2003
-+++ lib/Makefile.in	Sun May  4 03:12:41 2003
-@@ -16,6 +16,11 @@
- GMP_LIBS = @GMP_LIBS@
+--- lib/Makefile.in.orig	Sun May 25 04:04:32 2003
++++ lib/Makefile.in	Tue May 27 09:33:13 2003
+@@ -17,6 +17,11 @@
+ FLIB = @FLIB@
  have_gtk = @have_gtk@
  
 +datadir = @datadir@
@@ -12,7 +12,7 @@
  ifeq ($(INSTALL_PROGRAM),)
    INSTALL_PROGRAM = $(INSTALL) -m 755
  endif
-@@ -30,7 +35,7 @@
+@@ -31,7 +36,7 @@
  libdir = $(prefix)/lib
  includedir = $(prefix)/include/gretl
  aclocaldir = $(prefix)/share/aclocal
@@ -21,16 +21,16 @@
  
  INSTALLDIRS = $(libdir) $(includedir) $(aclocaldir)
  
-@@ -44,7 +49,7 @@
-   INSTALL_CFG = install-cfg-old
- endif
+@@ -47,7 +52,7 @@
+ 
+ # The LIBS line may need FLIB (-lf2c or equivalent)  at some point
  
 -LIBS = -lm -ldl -L/usr/local/lib -lz $(XML_LIBS) $(GLIB_LIBS) $(GMP_LIBS)
 +LIBS = -lm -lz $(XML_LIBS) $(GLIB_LIBS) $(GMP_LIBS) $(INTL_LIBS)
  
  #### End of system configuration section. ####
  
-@@ -79,7 +84,7 @@
+@@ -83,7 +88,7 @@
  
  LIBTOOL = ../libtool
  
@@ -39,12 +39,12 @@
  
  COMPILE = $(LIBTOOL) --mode=compile $(CC) -c $(CFLAGS)
  
-@@ -89,7 +94,7 @@
+@@ -93,7 +98,7 @@
  
- $(LIBGRETL): $(OBJS) $(LOBJS) $(CEPHES_OBJ) $(CEPHES_LOBJ)
- 	$(LIBTOOL) --mode=link $(CC) -o $@ $(LOBJS) $(CEPHES_LOBJ) \
--	-rpath $(prefix)/lib $(LIBS) -version-info 0:7:0
-+	-rpath $(prefix)/lib $(LIBS) -version-info 0:7:0 $(LDFLAGS)
+ $(LIBGRETL): $(OBJS) $(LOBJS) $(AUX_OBJ) $(AUX_LOBJ)
+ 	$(LIBTOOL) --mode=link $(CC) -o $@ $(LOBJS) $(AUX_LOBJ) \
+-	-rpath $(prefix)/lib $(LIBS) -version-info 0:8:0
++	-rpath $(prefix)/lib $(LIBS) -version-info 0:8:0 $(LDFLAGS)
  
  -include $(OBJS:.o=.d)
  
diff -urN /usr/ports/misc/gretl/pkg-plist misc/gretl/pkg-plist
--- /usr/ports/misc/gretl/pkg-plist	Mon May 12 17:14:28 2003
+++ misc/gretl/pkg-plist	Tue May 27 09:49:51 2003
@@ -23,6 +23,7 @@
 include/gretl/libprob.h
 include/gretl/modelprint.h
 include/gretl/monte_carlo.h
+include/gretl/nls.h
 include/gretl/nonparam.h
 include/gretl/printout.h
 include/gretl/pvalues.h
@@ -153,6 +154,7 @@
 %%GRETLDATADIR%%/gretl/data/greene/greene18_1.gdt
 %%GRETLDATADIR%%/gretl/data/greene/greene18_2.gdt
 %%GRETLDATADIR%%/gretl/data/greene/greene19_1.gdt
+%%GRETLDATADIR%%/gretl/data/greene/greene5_1.gdt
 %%GRETLDATADIR%%/gretl/data/greene/greene7_8.gdt
 %%GRETLDATADIR%%/gretl/data/greene/greene8_3.gdt
 %%GRETLDATADIR%%/gretl/data/greene/greene9_1.gdt
@@ -175,6 +177,7 @@
 %%GRETLDATADIR%%/gretl/scripts/greene7_8.inp
 %%GRETLDATADIR%%/gretl/scripts/greene8_3.inp
 %%GRETLDATADIR%%/gretl/scripts/greene9_1.inp
+%%GRETLDATADIR%%/gretl/scripts/greene9_3.inp
 %%GRETLDATADIR%%/gretl/scripts/ps10-1.inp
 %%GRETLDATADIR%%/gretl/scripts/ps10-10.inp
 %%GRETLDATADIR%%/gretl/scripts/ps10-11.inp
@@ -262,6 +265,7 @@
 %%GNOME:%%%%GRETLDATADIR%%/help/gretl/C/chapters/looping.xml
 %%GNOME:%%%%GRETLDATADIR%%/help/gretl/C/chapters/modes.xml
 %%GNOME:%%%%GRETLDATADIR%%/help/gretl/C/chapters/native.xml
+%%GNOME:%%%%GRETLDATADIR%%/help/gretl/C/chapters/nls.xml
 %%GNOME:%%%%GRETLDATADIR%%/help/gretl/C/chapters/optarg.xml
 %%GNOME:%%%%GRETLDATADIR%%/help/gretl/C/chapters/panel.xml
 %%GNOME:%%%%GRETLDATADIR%%/help/gretl/C/chapters/starting.xml
@@ -276,11 +280,14 @@
 %%GNOME:%%%%GRETLDATADIR%%/help/gretl/C/figures/greeneC.png
 %%GNOME:%%%%GRETLDATADIR%%/help/gretl/C/figures/gretl-logo.png
 %%GNOME:%%%%GRETLDATADIR%%/help/gretl/C/figures/important.png
+%%GNOME:%%%%GRETLDATADIR%%/help/gretl/C/figures/influence.png
 %%GNOME:%%%%GRETLDATADIR%%/help/gretl/C/figures/ldx.png
 %%GNOME:%%%%GRETLDATADIR%%/help/gretl/C/figures/ldy.png
 %%GNOME:%%%%GRETLDATADIR%%/help/gretl/C/figures/mainwin.png
 %%GNOME:%%%%GRETLDATADIR%%/help/gretl/C/figures/menubar.png
+%%GNOME:%%%%GRETLDATADIR%%/help/gretl/C/figures/model_table.png
 %%GNOME:%%%%GRETLDATADIR%%/help/gretl/C/figures/modelwin.png
+%%GNOME:%%%%GRETLDATADIR%%/help/gretl/C/figures/nls_window.png
 %%GNOME:%%%%GRETLDATADIR%%/help/gretl/C/figures/note.png
 %%GNOME:%%%%GRETLDATADIR%%/help/gretl/C/figures/plot_control.png
 %%GNOME:%%%%GRETLDATADIR%%/help/gretl/C/figures/scriptwin.png
Comment 2 Daichi GOTO freebsd_committer 2003-07-07 08:18:11 UTC
State Changed
From-To: open->closed

Committed. Thanks!